<div class="container">
  <hr class="my-5"/>
  <h1 class="text-center">Dungeon Builder</h1>
  <div *ngFor="let info of currentDungeonInfos; index as i">
    <div>
      <p><span style="font-weight: bold">{{currentCommandInfos[i]}}: </span> {{info}}</p>
    </div>
  </div>
  <form [formGroup]="dungeonForm" (ngSubmit)="submitDungeonCommand()">
    <div>
      <label>
        <p>Optionen:</p>
        <ul>
          <li>create room</li>
          <li>create race</li>
          <li>create class</li>
          <li>create equipment</li>
          <li>connect rooms (roomId1;roomId2 als Inhalt)</li>
        </ul>
        <div>
          <select class="browser-default custom-select" formControlName="command">
            <option>create room</option>
            <option>create race</option>
            <option>create class</option>
            <option>create equipment</option>
            <option>connect rooms</option>
          </select>
        </div>
      </label>
    </div>
    <div>
      <label for="form7">Inhalt als Json</label>
      <textarea type="text" id="form7" class="md-textarea md-textarea-auto form-control" mdbInput formControlName="input"></textarea>
    </div>
    <div>
      <button mdbBtn color="red" type="submit" [disabled]="dungeonForm.invalid">Ausführen</button>
    </div>

  </form>
  <div>
    <button mdbBtn color="red" block="true" class="my-4" (click)="quitDungeonBuilder()">Dungeon Builder beenden</button>
  </div>
</div>
